QGIS Application - Feature request #2387

enable creation of spatialite vector layer from scratch

2010-01-23 03:37 AM - Stefano Costa -

Status: Closed
Priority: Low
Assignee: Gary Sherman
Category: Vectors

Pull Request or Patch supplied:
Easy fix?: No

Resolution: fixed
Copied to github as #: 12447

Description

Currently, if | need to create a vector layer from scratch using QGIS, | can only create a Shapefile. Given the extended support for
[[SpatiaLite]] in QGIS, and the large set of advantages that it brings compared to Shapefile, this is a request to add [[SpatialLite]] layer

creation to QGIS.

Obviously, creating a Shapefile and converting it to [[SpatiaLite]] using some kind of command line magic is not an option for the average

user.

History

#1 - 2010-02-25 07:33 PM - Gary Sherman

I'm working on this enhancement (2010-02-25)

#2 - 2010-02-28 07:53 AM - Giovanni Manghi

Replying to [comment:1 gsherman]:

I'm working on this enhancement (2010-02-25)

great news indeed!

#3 - 2010-04-04 07:40 PM - Gary Sherman
- Resolution set to fixed

- Status changed from Open to Closed

Implemented at commit:f36bfa5e (SVN r13241)
